> ## Documentation Index
> Fetch the complete documentation index at: https://docs.roostedhr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Transferred Workers

> Transfers a batch of workers (up to 100) into the company. Each worker must include at minimum `name_first`, `name_last`, and `email`.



## OpenAPI

````yaml api-reference/v01.12.00/openapi-v01.12.00.json POST /workers/transferred-workers
openapi: 3.0.0
info:
  title: Roosted
  version: 0.1.12
  contact:
    name: Support
    url: https://support.roostedhr.com/support/home
    email: support@roostedhr.com
  description: |-
    Enterprise API

    Sandbox keys and Production keys are requested from support
servers:
  - url: https://api.roostedhr.com/api/1_12
  - url: https://sandbox.roostedhr.com/api/1_12
security:
  - X-API-KEY: []
tags:
  - name: Announcements
  - name: Areas
  - name: Clients
  - name: Company
  - name: Configuration
  - name: Events
  - name: Locations
  - name: Payroll Groups
  - name: Rate Cards
  - name: Shifts
  - name: Skillsets
  - name: Time Tracking
  - name: Wage Rules
  - name: Workers
paths:
  /workers/transferred-workers:
    parameters: []
    post:
      tags:
        - Workers
      summary: Add Transferred Workers
      description: >-
        Transfers a batch of workers (up to 100) into the company. Each worker
        must include at minimum `name_first`, `name_last`, and `email`.
      operationId: post-transferred-workers
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: array
              maxItems: 100
              minItems: 1
              items:
                type: object
                additionalProperties: false
                properties:
                  name_first:
                    type: string
                    minLength: 1
                    maxLength: 255
                  name_last:
                    type: string
                    minLength: 1
                    maxLength: 255
                  formatted_name:
                    type: string
                    minLength: 1
                    maxLength: 255
                  phone:
                    type: string
                    minLength: 1
                    maxLength: 255
                  email:
                    type: string
                    minLength: 1
                    maxLength: 255
                  address:
                    type: string
                    minLength: 1
                    maxLength: 255
                  city:
                    type: string
                    minLength: 1
                    maxLength: 255
                  zip:
                    type: string
                    minLength: 1
                    maxLength: 255
                  applied_position:
                    type: string
                    minLength: 1
                    maxLength: 255
                  document_links:
                    type: array
                    items:
                      type: object
                      properties:
                        link:
                          type: string
                          minLength: 1
                          maxLength: 255
                        name:
                          type: string
                          minLength: 1
                          maxLength: 100
                        type:
                          type: string
                          minLength: 1
                          maxLength: 20
                  documents:
                    type: array
                    items:
                      type: object
                      properties:
                        file:
                          type: string
                        name:
                          type: string
                          minLength: 1
                          maxLength: 100
                        type:
                          type: string
                          minLength: 1
                          maxLength: 20
                required:
                  - name_first
                  - name_last
                  - email
        description: Array of worker objects
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  workers_transferred:
                    type: integer
                    minimum: 1
                    maximum: 100
                    description: Number of workers successfully transferred.
              examples:
                Number of workers transferred:
                  value:
                    workers_transferred: 11
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Workers not provided:
                  value:
                    code: WRK-3600
                    error: Workers are not provided
                Exceeds maximum workers:
                  value:
                    code: WRK-3700
                    error: Maximum allowed number of workers for transfer is 100
                Required field missing:
                  value:
                    code: WRK-3800
                    error: Required field name_first is missing
                Field exceeds max length:
                  value:
                    code: WRK-3900
                    error: Field name_first exceeds maximum length
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Invalid or missing API key:
                  value:
                    code: ATH-100
                    error: Invalid or missing API key
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Insufficient permissions:
                  value:
                    code: WRK-800
                    error: Insufficient permissions to manage workers
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: WRK-300
                  error:
                    type: string
                    example: Worker not found.
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Failed to transfer workers:
                  value:
                    code: WRK-4000
                    error: Failed to transfer workers
components:
  securitySchemes:
    X-API-KEY:
      name: X-API-KEY
      type: apiKey
      in: header

````